DEVNAME(3) | Library Functions Manual | DEVNAME(3)

# NAME

devname — get device name

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <stdlib.h>
#include <sys/stat.h>
char *
devname(dev_t dev, mode_t type);

# DESCRIPTION

The devname() function returns a pointer to the name of the block or character device in “/dev” with a device number of dev, and a file type matching the one encoded in type which must be one of S_IFBLK or S_IFCHR. If no device matches the specified values, or no information is available, `NULL` is returned.
The traditional display for applications when no device is found is the string “??”.

# FILES

/var/run/dev.cdb
  Device database file.

# SEE ALSO

stat(2), dev_mkdb(8)

# HISTORY

The devname function call appeared in 4.4BSD.

June 3, 2012 | NetBSD 8.2